Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global module_name ip

Name:           nodejs-%{module_name}
Version:        1.1.5
Release:        alt1_5
Summary:        IP address utilities for node.js

License:        MIT
URL:            https://github.com/indutny/node-%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  npm(mocha)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package

rm -rf node_modules

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha --reporter spec test/*-test.js

%files
%doc README.md
%{nodejs_sitelib}/%{module_name}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.5-alt1_5
- new version

